Subject: .elcs should tell more about the .els they were compiled from
From: [email-masked]
To: [email-masked]
Date: Tue, 12 Jan 2010 02:29:27 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Let's try to compare two .elc files to see if they are different.

$ diff -a *.elc
2,4c2,4
< ;;; Compiled by [email-masked] on Sat Jul 25 03:33:07 2009
< ;;; from file /home/jidanni/tmp/emacs-w3m/w3m-dtree.el
< ;;; in Emacs version 23.0.96.1
---
> ;;; Compiled by [email-masked] on Thu Jan  7 04:59:34 2010
> ;;; from file /usr/share/emacs-snapshot/site-lisp/w3m/w3m-dtree.el
> ;;; in Emacs version 23.1.91.1
...
Well, what would really help is if along with mentioning which .el file
the .elc file was compiled from, would be adding checksum and some ls -l
information about the .el file. Else it is really hard figuring out if
the .elcs are really derived from the .els currently nearby. (And no,
nobody wants to compile again just to see.)